> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新設置

> 更新當前用戶的偏好設置。所有字段均為可選——僅更改所提供的字段。

## 請求

<ParamField body="default_mode" type="string" optional>
  默認路由模式。可選值為：`auto`、`fast`、`think`、`code`、`research`、`image`、`video`、`roast`。
</ParamField>

<ParamField body="personality" type="string" optional>
  `"theo"` 或 `"none"`。
</ParamField>

<ParamField body="timezone" type="string" optional>
  有效的 IANA 時區字符串（例如：`"America/New_York"`）。
</ParamField>

<ParamField body="theo_branding" type="boolean" optional>
  啓用或禁用 API 響應中的 Theo 品牌標識。
</ParamField>

## 響應

返回完整的更新後偏好設置（結構與 GET 相同）。

## 身份驗證

需要 API 密鑰或儀表盤會話。變更會被審計記錄。

## 示例

```bash curl theme={null}
curl -X PATCH https://www.hitheo.ai/api/v1/settings \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "default_mode": "code",
    "timezone": "America/New_York"
  }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.